/*
 * Created on 6 janv. 2006
 */
package net.sf.doolin.gui.template.component;

import java.util.Map;

/**
 * Call-back method for dealing with pseudo protocol "action:"
 * 
 * @author Damien Coraboeuf
 */
public interface ActionCallback {

	/**
	 * Executes a command.
	 * 
	 * @param actionId
	 *            ID of the action to execute.
	 * @param params
	 *            Parameters for the execution context
	 */
	void doAction(String actionId, Map<String, String> params);

}
